package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Contract;
import com.ruoyi.web.work.domain.dto.ContractDto;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.rmi.ServerException;
import java.util.List;

/**
 * @author lsw
 * @date 2024-04-22
 */
public interface IContractService extends IService<Contract>{
    List<Contract> selectList(Contract contract);

    Contract selectContract();

    AjaxResult add(ContractDto dto) throws ServerException;

    void look(HttpServletResponse response,Long userId) throws IOException;
}
